<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_gravity="center"
    android:layout_marginStart="20dp"
    android:layout_marginEnd="20dp"
    android:background="@drawable/yyxx_login_panel_bg">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/yyxx_title_container"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/yyxx_iv_return"
            android:layout_width="60dp"
            android:layout_height="30dp"
            android:background="@drawable/yyxx_return_img"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/yyxx_tv_forget_pwd_title"
            android:textColor="@color/yyxx_color_green_blue"
            android:textSize="20sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <cn.yyxx.eyuangame.core.ui.EventEditText
        android:id="@+id/yyxx_eet_account"
        android:layout_width="match_parent"
        android:layout_height="35dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="20dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/yyxx_title_container" />

    <LinearLayout
        android:id="@+id/yyxx_ll_group"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="20dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@id/yyxx_btn_confirm"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/yyxx_eet_account">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/yyxx_cl_area"
            android:layout_width="wrap_content"
            android:layout_height="35dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/yyxx_choose_group"
                android:layout_width="60dp"
                android:layout_height="wrap_content"
                android:background="@drawable/yyxx_area_list_left_bg"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/yyxx_arrow_group"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <TextView
                    android:id="@+id/yyxx_tv_area"
                    android:layout_width="wrap_content"
                    android:layout_height="35dp"
                    android:gravity="center_vertical"
                    android:text="@string/yyxx_tv_area_code"
                    android:textColor="@color/yyxx_color_white"
                    android:textSize="12sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>


            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/yyxx_arrow_group"
                android:layout_width="wrap_content"
                android:layout_height="35dp"
                android:background="@drawable/yyxx_area_list_right_bg"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/yyxx_choose_group"
                app:layout_constraintTop_toTopOf="parent">

                <ImageView
                    android:id="@+id/yyxx_iv_arrow"
                    android:layout_width="14dp"
                    android:layout_height="14dp"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="5dp"
                    android:background="@drawable/yyxx_pack_down_white_img"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <cn.yyxx.eyuangame.core.ui.EventEditText
            android:id="@+id/yyxx_eet_phone"
            android:layout_width="0dp"
            android:layout_height="35dp"
            android:layout_marginLeft="10dp"
            android:layout_weight="2" />
    </LinearLayout>

    <Button
        android:id="@+id/yyxx_btn_confirm"
        style="?android:attr/borderlessButtonStyle"
        android:layout_width="match_parent"
        android:layout_height="35dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="30dp"
        android:layout_marginEnd="20dp"
        android:layout_marginBottom="40dp"
        android:background="@drawable/yyxx_btn_green_blue_bg"
        android:text="@string/yyxx_tv_confirm"
        android:textColor="@color/yyxx_color_white"
        android:textSize="16sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/yyxx_ll_group" />

    <RelativeLayout
        android:id="@+id/yyxx_rl_area_list"
        android:layout_width="60dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:layout_marginTop="30dp"
        android:background="@drawable/yyxx_area_list_bg"
        android:paddingTop="3.5dp"
        android:paddingBottom="3.5dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/yyxx_ll_group">

        <ScrollView
            android:id="@+id/yyxx_sv_area_list"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:scrollbars="none"
            android:visibility="visible">

            <LinearLayout
                android:id="@+id/yyxx_ll_area_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical" />
        </ScrollView>
    </RelativeLayout>

    <!--    <include-->
    <!--        layout="@layout/yyxx_area_list"-->
    <!--        app:layout_constraintBottom_toBottomOf="parent"-->
    <!--        app:layout_constraintEnd_toEndOf="parent"-->
    <!--        app:layout_constraintStart_toStartOf="parent"-->
    <!--        app:layout_constraintTop_toBottomOf="@id/yyxx_eet_account" />-->

</androidx.constraintlayout.widget.ConstraintLayout>